// Playground - noun: a place where people can play

import Foundation

// Eine einfache for-Schleife
for var index = 1 ; index <= 10; index++
{
   print("Der Wert von index ist \(index).")
}



// Die Laufvariable wird vor der Schleife deklariert
var doubleIndex:Double = 0

// dIndex bei jedem Durchlauf um 0.5 erhöhen
for doubleIndex = 1.0 ; doubleIndex <= 5; doubleIndex += 0.5
{
    print("Der Wert von doubleIndex ist \(doubleIndex).")
}

// Die Laufvariable kann nach der Schleife noch verwendet werden
print("Der Wert von doubleIndex ist jetzt \(doubleIndex).")



// Eine for-Schleife mit einem Bereich
// als "Closed Range"
for closedIndex in 1...10
{
    print("Der Wert von closedIndex ist \(closedIndex).")
}

// Eine for-Schleife mit einem Bereich
// als "Half Open Range"
for halfClosedIndex in 1..<10
{
    print("Der Wert von halfClosedIndex ist \(halfClosedIndex).")
}

var start = 5
var ende = 10
var range = start...ende

for rangeIndex in range
{
    print("Der Wert von rangeIndex ist \(rangeIndex).")
}


var names = ["Marko","Christan","Petra","Maike","Johanna"]

for index in 0..<names.count
{
    print(names[index])
}

for name in names
{
    print(name)
}


// Diese Schleife zählt von 10 bis 5
// in Schritten von 0.5
for var hiDouble = 10.0 ; hiDouble >= 5.0 ; hiDouble -=  0.5
{
    print("Der Wert von hiValue ist \(hiDouble).")
}


for reverseValue in (5...10).reverse()
{
    print("Der Wert von reverse ist \(reverseValue).")
}

// Die Sortierung eines Arrays umkehren
var letters = ["A","B","C","D","E"]
letters = letters.reverse()



var index = 0
while index < 10
{
    print("Der Wert von index ist: \(index)")
    index++
}

var cards = 0
var boxes = 0.0

// While Schleife mit zwei Abbruchbedingungen
while cards < 10 || boxes < 10
{
    print("Der Wert von cards ist: \(cards)")
    print("Der Wert von boxes ist: \(boxes)")
    cards++
    boxes += 0.5
}



cards = 100
boxes = 100.0

repeat
{
    print("Der Wert von cards ist: \(cards)")
    print("Der Wert von boxes ist: \(boxes)")
    cards++
    boxes += 0.5
} while cards < 10 || boxes < 10













